# Poco::Zip

# class ZipOperation

Library: Zip
Package: Manipulation
Header: Poco/Zip/ZipOperation.h

## Description

Abstract super class for operations on individual zip entries

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

Known Derived Classes: Add, Delete, Keep, Rename, Replace

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, referenceCount, release

## Types Aliases

### Ptr

using Ptr = Poco::AutoPtr < ZipOperation >;

## Constructors

### ZipOperation

ZipOperation();

Creates the ZipOperation.

## Destructor

### ~ZipOperation

virtual ~ZipOperation();

Destroys the ZipOperation.

## Member Functions

### execute

virtual void execute(
Compress & c,
std::istream & input
) = 0;

Executes the operation